## org.gnu.gtk
Class Requisition

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.gtk.Requisition

public class Requisition
extends Boxed

Constructor Summary
`Requisition(org.gnu.glib.Handle handle)`
`Requisition(int width, int height)` Construct a new Requisition.

Method Summary
`int` `getHeight()`
`static Requisition` `getRequisition(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`int` `getWidth()`
`void` `setHeight(int height)`
`void` `setWidth(int width)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Requisition

    public Requisition(int width,
                       int height)

  Construct a new Requisition.

### Requisition

    public Requisition(org.gnu.glib.Handle handle)

Method Detail

### getRequisition

    public static Requisition getRequisition(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### getWidth

    public int getWidth()

### setWidth

    public void setWidth(int width)

### getHeight

    public int getHeight()

### setHeight

    public void setHeight(int height)